Bug 25599 - Allow use of cataloguing placeholders when ACQ framework is used creating new record (UseACQFrameworkForBiblioRecords)
Summary: Allow use of cataloguing placeholders when ACQ framework is used creating new...
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Martin Renvoize
URL:
Keywords:
Depends on: 19289
Blocks: 24134
  Show dependency treegraph
 
Reported: 2020-05-25 23:55 UTC by Katrin Fischer
Modified: 2020-09-20 10:50 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.01, 19.11.09


Attachments
Bug 25599: Fix default value placeholders for UseACQFrameworkForBiblioRecords (1.15 KB, patch)
2020-05-26 08:52 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 25599: Fix default value placeholders for UseACQFrameworkForBiblioRecords (1.21 KB, patch)
2020-05-28 23:04 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25599: Fix default value placeholders for UseACQFrameworkForBiblioRecords (1.27 KB, patch)
2020-06-08 13:48 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2020-05-25 23:55:40 UTC
There is a feature in the cataloguing where you can enter a placeholder in the default value of the framework that will then be replaced by a value on editing the record. 

At the moment we support:

<<DD>> - 2 digit day of month
<<MM>> - 2 digit number of month
<<YYYY>> - 4 digit year
<<USER>> - user adding the record

And bug 24134 intends to add another useful one: <<YY>>.

We should support this functionality when the ACQ framework is used within the cataloguing module as it can be helpful to set things like the date in 008 correctly.

To test:
- modify the default value for 008@ or another subfield in the ACQ framework using one or more of the placeholders above
- activate UseACQFrameworkForBiblioRecords
- create a basket
- create an order from a new record
- verify the values have not been replaced
- create a new record from the ACQ framework in the normal editor
- verify it works well there and values are replaced
Comment 1 Jonathan Druart 2020-05-26 08:52:53 UTC
Created attachment 105350 [details] [review]
Bug 25599: Fix default value placeholders for UseACQFrameworkForBiblioRecords

The feature was there but a condition disabled it.

Test plan:
- modify the default value for 008@ or another subfield in the ACQ framework using one or more of the placeholders above
- activate UseACQFrameworkForBiblioRecords
- create a basket
- create an order from a new record
- verify the values have been replaced
Comment 2 Katrin Fischer 2020-05-28 23:04:31 UTC
Created attachment 105429 [details] [review]
Bug 25599: Fix default value placeholders for UseACQFrameworkForBiblioRecords

The feature was there but a condition disabled it.

Test plan:
- modify the default value for 008@ or another subfield in the ACQ framework using one or more of the placeholders above
- activate UseACQFrameworkForBiblioRecords
- create a basket
- create an order from a new record
- verify the values have been replaced

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 3 Martin Renvoize 2020-06-08 13:48:03 UTC
Created attachment 105645 [details] [review]
Bug 25599: Fix default value placeholders for UseACQFrameworkForBiblioRecords

The feature was there but a condition disabled it.

Test plan:
- modify the default value for 008@ or another subfield in the ACQ framework using one or more of the placeholders above
- activate UseACQFrameworkForBiblioRecords
- create a basket
- create an order from a new record
- verify the values have been replaced

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2020-06-08 13:48:20 UTC
Good catch, works as expected now.. Passing QA
Comment 5 Jonathan Druart 2020-06-15 10:00:38 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 6 Lucas Gass 2020-06-17 21:54:21 UTC
backported to 20.05.x for 20.05.01
Comment 7 Aleisha Amohia 2020-06-19 03:22:01 UTC
enhancement, not backporting to 19.11.x
Comment 8 Jonathan Druart 2020-08-12 12:15:27 UTC
(In reply to Aleisha Amohia from comment #7)
> enhancement, not backporting to 19.11.x

I think this is more a bug fix than an enhancement actually.
Comment 9 Aleisha Amohia 2020-08-13 04:16:25 UTC
backported to 19.11.x for 19.11.09
Comment 10 Victor Grousset/tuxayo 2020-09-20 10:50:59 UTC
Not backported to oldoldstable (19.05.x). Feel free to ask if it's needed.